Contents

hide
<<previous   next>>

Bug 2337 :

Status: Obsolete

dinver

General information

--FATAL ERROR-

ASSERT: "at(i).x() == x.at(ix)" in file src/ModalCurve.cpp, line 131

2012-10-16 11:43:05.339

main,layerPainter1,layerPainter2,layerPainter3,layerPainter4,run_01,

Current thread:

---- thread main
void QGpCoreWave::ModalCurve::linkX(const QVector&):125
void QGpCoreWave::ModalFactory::linkX(QGpCoreWave::ModalCurve&) const:126
void QGpCoreWave::ModalFactory::linkX(QList&) const:91
void DinverDCCore::TargetList::validateTargets():142
DinverDCCore::TargetList* TargetListWidget::targetList():362
InversionThread* ThreadLauncher::newThread():76
---- thread layerPainter1
virtual void SciFigs::LayerPainterThread::run():59
---- thread layerPainter2
virtual void SciFigs::LayerPainterThread::run():59
---- thread layerPainter3
virtual void SciFigs::LayerPainterThread::run():59
---- thread layerPainter4
virtual void SciFigs::LayerPainterThread::run():59
---- thread run_01
---- thread

---- thread main
---- thread layerPainter1
---- thread layerPainter2
---- thread layerPainter3
---- thread layerPainter4
---- thread run_01
---- thread
---- thread main
---- thread layerPainter1
---- thread layerPainter2
---- thread layerPainter3
---- thread layerPainter4
---- thread run_01
---- thread

Developer comments (common to all duplicates if any)

Still no comments.

Systems and versions

Windows 7
  Qt                  4.6.3
  QGpCoreTools        1.22.0 from geopsypack-2.4.4	(built on 201206291117)
  DinverCore          0.9.3 from geopsypack-2.4.4	(built on 201109161015)
  QGpGuiTools         1.13.2 from geopsypack-2.4.4	(built on 201201301054)
  SciFigs             2.6.3 from geopsypack-2.4.4	(built on 201206291117)
  dinver              0.5.4 from geopsypack-2.4.4	(built on 201206291117)
  QGpCoreWave         1.0.0 from geopsypack-2.4.4	(built on 201105121034)
  QGpCompatibility    0.3.1 from geopsypack-2.4.4	(built on 201103131942)
  DinverDCCore        1.6.1 from geopsypack-2.4.4	(built on 201109161015)
  QGpGuiWave          0.6.1 from geopsypack-2.4.4	(built on 201102011717)
  DinverDCGui         0.1.0 from geopsypack-2.4.4	(built on 201101031552)
  DinverGui           0.2.0 from geopsypack-2.4.4	(built on 201101031552)
  dinverdc            1.4.1 from geopsypack-2.4.4	(built on 201102011728)

User comments

User reports

25392012-10-16 11:43:25